# comment out if not trunk build
#define trunk	r986

# release to bump
%define rel	1

Name:		grfcodec
Version:	6.0.6
Release:	%mkrel %{?trunk:0.%trunk.}%{rel}
Summary:	A suite of programs to modify Transport Tycoon Deluxe's GRF files
Group:		Development/Other
License:	GPLv2+
URL:		http://dev.openttdcoop.org/projects/grfcodec
Source0:	http://binaries.openttd.org/extra/grfcodec%{?trunk:-trunk}/%{?trunk}%{!?trunk:%version}/grfcodec-%{?trunk:trunk-%trunk}%{!?trunk:%version}-source.tar.xz
BuildRequires:	boost-devel
BuildRequires:	png-devel
Obsoletes:	nforenum < 5.0.0
Provides:	nforenum = %{version}-%{release}

%description
A suite of programs to modify Transport Tycoon Deluxe's GRF files.

%prep
%setup -q -n %{name}-%{?trunk:trunk-%trunk}%{!?trunk:%version}

#build time options
cat << EOF >> Makefile.local
V=1
CXXFLAGS=%{optflags}
LDOPT=%{ldflags}
STRIP=true
DO_NOT_INSTALL_LICENSE=1
DO_NOT_INSTALL_DOCS=1
DO_NOT_INSTALL_CHANGELOG=1
prefix=%{_prefix}
EOF

%build
%make

%install
%makeinstall_std

%files
%doc bundle/docs/*.txt
%{_bindir}/*
%{_mandir}/man1/gr*
%{_mandir}/man1/nforenum.*


%changelog
* Sat Jul 02 2016 wally <wally> 6.0.6-1.mga6
+ Revision: 1038285
- new version 6.0.6

* Thu Feb 11 2016 umeabot <umeabot> 6.0.5-2.mga6
+ Revision: 954193
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 wally <wally> 6.0.5-1.mga6
+ Revision: 837598
- new version 6.0.5

* Sat Apr 18 2015 wally <wally> 6.0.5-0.r986.1.mga5
+ Revision: 820460
- update to latest nightly build

* Wed Oct 15 2014 umeabot <umeabot> 6.0.4-3.mga5
+ Revision: 748526
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.0.4-2.mga5
+ Revision: 679937
- Mageia 5 Mass Rebuild

* Fri Apr 25 2014 wally <wally> 6.0.4-1.mga5
+ Revision: 617915
- new version 6.0.4
- drop unneeded linking patch

* Sat Oct 19 2013 umeabot <umeabot> 6.0.3-2.mga4
+ Revision: 530973
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 wally <wally> 6.0.3-1.mga4
+ Revision: 461281
- new version 6.0.3

* Tue Jul 09 2013 fwang <fwang> 6.0.2-3.mga4
+ Revision: 451864
- rebuild for new boost

* Mon Jun 03 2013 fwang <fwang> 6.0.2-2.mga4
+ Revision: 435945
- rebuild for new libpng

* Sun May 26 2013 wally <wally> 6.0.2-1.mga4
+ Revision: 427870
- new version 6.0.2

* Sat Jan 12 2013 umeabot <umeabot> 6.0.1-2.mga3
+ Revision: 352603
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 23 2012 wally <wally> 6.0.1-1.mga3
+ Revision: 296911
- new version 6.0.1

* Tue Mar 06 2012 wally <wally> 6.0.0-1.mga2
+ Revision: 220402
- new version 6.0.0
- rediff linking order patch

* Fri Dec 23 2011 wally <wally> 5.1.3-1.mga2
+ Revision: 187051
- new version 5.1.3

* Sat Oct 08 2011 wally <wally> 5.1.2-1.mga2
+ Revision: 152997
- new version 5.1.2

* Sun Mar 20 2011 wally <wally> 5.1.1-1.mga2
+ Revision: 74874
- new version 5.1.1
- drop buildroot definition

* Sun Jan 09 2011 wally <wally> 5.1.0-2.r818.2.mga1
+ Revision: 1667
- imported package grfcodec


* Thu Dec 23 2010 Jani Välimaa <wally@mandriva.org> 5.1.0-2.r818.2mdv2011.0
+ Revision: 624052
- BR png-devel

* Thu Dec 23 2010 Jani Välimaa <wally@mandriva.org> 5.1.0-2.r818.1mdv2011.0
+ Revision: 624009
- use latest nightly build

* Sat Dec 11 2010 Jani Välimaa <wally@mandriva.org> 5.1.0-1mdv2011.0
+ Revision: 620574
- new version 5.1.0
- redo P0

* Tue Oct 19 2010 Jani Välimaa <wally@mandriva.org> 5.0.0-2mdv2011.0
+ Revision: 586844
- fix obsoletes

* Tue Oct 19 2010 Jani Välimaa <wally@mandriva.org> 5.0.0-1mdv2011.0
+ Revision: 586815
- new version 5.0.0
- rediff patch0
- nforenum is now part of grfcodec
- improve .spec (thanks goes to Fedora)

* Sat Aug 21 2010 Jani Välimaa <wally@mandriva.org> 1.0.0-2mdv2011.0
+ Revision: 571781
- add patch to fix linking order
- fix build flags
- disable upx-ing the binaries
- fix install

* Sun Aug 15 2010 Jani Välimaa <wally@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 569945
- new version 1.0.0

* Mon Aug 09 2010 Jani Välimaa <wally@mandriva.org> 1.0.0-0.RC1.1mdv2011.0
+ Revision: 568204
- new version 1.0.0 RC1
- drop unneeded patches
- install man files

* Tue Apr 13 2010 Jani Välimaa <wally@mandriva.org> 0.9.10-r2306.1mdv2010.1
+ Revision: 534608
- import grfcodec


